package bootcampdia8.TestDatabase.controller;

import bootcampdia8.TestDatabase.repository.FilmRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.GetMapping;

@Controller
public class TestDatabaseController {
    @Autowired
    private FilmRepository filmRepository;

    @GetMapping("/films")
    public String showFilms(Model m){
        m.addAttribute("films", filmRepository.findAll());
        return "films";
    }
}
